API Reference
Update topic prompts (visibility, competition)
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
topicId*string
Response Body
application/json
curl -X PATCH "https://example.com/api/domains/string/topics/string/prompts"{ "visibilityPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "adsIncluded": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "competitionPrompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "adsIncluded": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "updatedAt": "2026-05-25T10:30:00.000Z"}